Upstream information

CVE-2021-3565 at MITRE

Description

A flaw was found in tpm2-tools in versions before 5.1.1 and before 4.3.2. tpm2_import used a fixed AES key for the inner wrapper, potentially allowing a MITM attacker to unwrap the inner portion and reveal the key being imported. The highest threat from this vulnerability is to data confidentiality.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 4.4
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Local
Access Complexity High Low
Privileges Required None High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1186490 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • tpm2.0-tools >= 4.1-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-1999
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • tpm2.0-tools >= 4.3.0-4.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-1998
openSUSE Leap 15.2
  • tpm2.0-tools >= 4.1-lp152.2.3.1
  • tpm2.0-tools-debuginfo >= 4.1-lp152.2.3.1
  • tpm2.0-tools-debugsource >= 4.1-lp152.2.3.1
Patchnames:
openSUSE-2021-934
openSUSE Leap 15.3
  • tpm2.0-tools >= 4.3.0-4.3.1
Patchnames:
openSUSE-SLE-15.3-2021-1998


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 tpm2.0-tools Not affected
SUSE CaaS Platform 4.0 tpm2.0-tools Ignore
SUSE Enterprise Storage 6 tpm2.0-tools Ignore
SUSE Linux Enterprise High Performance Computing 12 SP5 tpm2.0-tools Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS tpm2.0-tools Ignore
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS tpm2.0-tools Ignore
SUSE Linux Enterprise Module for Basesystem 15 SP2 tpm2.0-tools Released
SUSE Linux Enterprise Module for Basesystem 15 SP3 tpm2.0-tools Released
SUSE Linux Enterprise Server 12 SP2 BCL tpm2.0-tools Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON tpm2.0-tools Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS SAP tpm2.0-tools Not affected
SUSE Linux Enterprise Server 12 SP3 BCL tpm2.0-tools Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS tpm2.0-tools Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS tpm2.0-tools Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS tpm2.0-tools Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS tpm2.0-tools Not affected
SUSE Linux Enterprise Server 12 SP5 tpm2.0-tools Not affected
SUSE Linux Enterprise Server 15 LTSS tpm2.0-tools Ignore
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux tpm2.0-tools Ignore
SUSE Linux Enterprise Server 15 SP1 LTSS tpm2.0-tools Ignore
SUSE Linux Enterprise Server ESPOS 15 tpm2.0-tools Ignore
SUSE Linux Enterprise Server for SAP Applications 12 SP3 tpm2.0-tools Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 tpm2.0-tools Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 tpm2.0-tools Not affected
SUSE Linux Enterprise Server for SAP Applications 15 tpm2.0-tools Ignore
SUSE Linux Enterprise Server for SAP Applications 15 SP1 tpm2.0-tools Ignore
SUSE Manager Proxy 4.0 tpm2.0-tools Ignore
SUSE Manager Retail Branch Server 4.0 tpm2.0-tools Ignore
SUSE Manager Server 4.0 tpm2.0-tools Ignore
SUSE OpenStack Cloud 8 tpm2.0-tools Not affected
SUSE OpenStack Cloud 9 tpm2.0-tools Not affected
SUSE OpenStack Cloud Crowbar 8 tpm2.0-tools Not affected
SUSE OpenStack Cloud Crowbar 9 tpm2.0-tools Not affected